Loading...
Searching...
No Matches
pcl::filters::ConvolvingKernel< PointT, pcl::PointXY > Class Template Referenceabstract

`#include <pcl/filters/impl/convolution_3d.hpp>`

## Public Types

using | Ptr
using | ConstPtr
using | PointCloudInConstPtr

## Public Member Functions

| ConvolvingKernel ()
| empty constructor
virtual | ~ConvolvingKernel ()=default
| empty destructor
void | setInputCloud (const PointCloudInConstPtr &input)
| Set input cloud.
virtual pcl::PointXY | operator() (const Indices &indices, const std::vector< float > &distances)=0
| Convolve point at the center of this local information.
virtual bool | initCompute ()
| Must call this method before doing any computation.

## Protected Attributes

PointCloudInConstPtr | input_
| source cloud

## Detailed Description

template<typename PointT>
class pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >

Definition at line 70 of file convolution_3d.hpp.

## Member Typedef Documentation

## ConstPtr

using pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::ConstPtr

Definition at line 59 of file convolution_3d.h.

## PointCloudInConstPtr

using pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::PointCloudInConstPtr

Definition at line 61 of file convolution_3d.h.

## Ptr

using pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::Ptr

Definition at line 58 of file convolution_3d.h.

## Constructor & Destructor Documentation

## ConvolvingKernel()

pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::ConvolvingKernel | ( |  | ) |

inline

empty constructor

Definition at line 64 of file convolution_3d.h.

## ~ConvolvingKernel()

virtual pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::~ConvolvingKernel | ( |  | ) |

virtual default

empty destructor

## Member Function Documentation

## initCompute()

virtual bool pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::initCompute | ( |  | ) |

inline virtual

Must call this method before doing any computation.

Note
  make sure to override this with at least
  bool initCompute ()
  {
  return (true);
  }
  pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::initCompute
  virtual bool initCompute()
  Definition convolution_3d.h:94
  in your kernel interface, else you are going nowhere!

Definition at line 94 of file convolution_3d.h.

## operator()()

virtual pcl::PointXY pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::operator() | ( | const Indices & | indices,
|  | const std::vector< float > & | distances )

pure virtual

Convolve point at the center of this local information.

Parameters

  [in] | indices | indices of the point in the source point cloud
  [in] | distances | euclidean distance squared from the query point

Returns
  the convolved point

## setInputCloud()

void pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::setInputCloud | ( | const PointCloudInConstPtr & | input | ) |

inline

Set input cloud.

Parameters

  [in] | input | source point cloud

Definition at line 73 of file convolution_3d.h.

## Member Data Documentation

## input_

PointCloudInConstPtr pcl::filters::ConvolvingKernel< PointT, pcl::PointXY >::input_

protected

source cloud

Definition at line 107 of file convolution_3d.h.

The documentation for this class was generated from the following file:

- pcl/filters/impl/convolution_3d.hpp